Subject: [Technical Errata Reported] RFC8188 (5516)

From: RFC Errata System <[email-masked]>
Date: Fri, 5 Oct 2018 10:34:55 -0700 (PDT)

The following errata report has been submitted for RFC8188,
"Encrypted Content-Encoding for HTTP".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5516

--------------------------------------
Type: Technical
Reported by: Incorrect Content-Length header value in example <[email-masked]>

Section: 3.1

Original Text
-------------
HTTP/1.1 200 OK
Content-Type: application/octet-stream
Content-Length: 54
Content-Encoding: aes128gcm

I1BsxtFttlv3u_Oo94xnmwAAEAAA-NAVub2qFgBEuQKRapoZu-IxkIva3MEB1PD-
ly8Thjg

Corrected Text
--------------
HTTP/1.1 200 OK
Content-Type: application/octet-stream
Content-Length: 53
Content-Encoding: aes128gcm

I1BsxtFttlv3u_Oo94xnmwAAEAAA-NAVub2qFgBEuQKRapoZu-IxkIva3MEB1PD-
ly8Thjg

Notes
-----
16-bit encrypted payload
16-bit authentication tag
21-bit header

The other example, in Section 3.2, reports the correct content length of 53

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8188 (draft-ietf-httpbis-encryption-encoding-09)
--------------------------------------
Title               : Encrypted Content-Encoding for HTTP
Publication Date    : June 2017
Author(s)           : M. Thomson
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

---

From: Martin Thomson <[email-masked]>
Date: Wed, 10 Oct 2018 17:59:28 +1100

Confirmed.  Hold for document update seems reasonable.
On Sat, Oct 6, 2018 at 3:35 AM RFC Errata System